package com.quant.vo;

import java.sql.Timestamp;
import java.util.Date;

public class UserRelationVO {
	private Integer id;
	private Integer uid;
	private String name;
	private String mobile;
	private Integer verifyMobile;
	private Integer companyId;
	private String portraitUri;
	private String verifyReg;
	private Timestamp regDate;
	private Integer role;
	private String cardUri;
	private String email;
	private Date birthday;
	private Integer education;
	private Integer gender;
	private Integer province;
	private Integer city;
	private String address;
	private String postCode;
	private String contact;
	private String phone;
	private Integer isDefault;
	private Timestamp postTime;        
	private Integer orderId;
	private String orderCode;
	private Integer submitterType;
	private Integer submitterUid;
	private String orginUrl;
	private Integer orgin;
	private Integer introducerUid;
	private Integer status;
	private Integer productId;
	private Integer orderMount;
	private Integer actualMount;
	private Integer operateUid;
	private Integer customerAction;
	private Integer portalAction;
	private Integer managerAction;
	private String description;
	private String code;
	private String content;
	private Integer smsType;
	private String companyName;
	private String ProductName;
	private String submitterTitle;
	private String orginTitle;
	private String password;
	private Integer majorStatus;
	private Integer minorStatus;
	private String userName;
	private String ip;
	private Integer isVerify;
	private String reasonStatus;
	private String shorterName;
	private Float money;
	private String uri;//附件中的uri
	private Integer reserveId;
	private String investorName;
	private String investorIdtype;
	private String investorIdno;
	private String investorOpenbankName;
	private String investorOpenbankNo;
	private String investorOpenbankAccountName;
	private String umobile;
	private String orderStatusName;
	
	private String openBank;
	private String openCardno;
	private String openName;
	private Integer addressId;
	private Integer cardId;
	private String title;
	private String statusDescription;
	
	
	public String getStatusDescription() {
		return statusDescription;
	}

	public void setStatusDescription(String statusDescription) {
		this.statusDescription = statusDescription;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getOpenName() {
		return openName;
	}

	public void setOpenName(String openName) {
		this.openName = openName;
	}

	public String getOrderStatusName() {
		return orderStatusName;
	}

	public void setOrderStatusName(String orderStatusName) {
		this.orderStatusName = orderStatusName;
	}

	public String getUmobile() {
		return umobile;
	}

	public void setUmobile(String umobile) {
		this.umobile = umobile;
	}


	public Integer getAddressId() {
		return addressId;
	}

	public void setAddressId(Integer addressId) {
		this.addressId = addressId;
	}

	public Integer getCardId() {
		return cardId;
	}

	public void setCardId(Integer cardId) {
		this.cardId = cardId;
	}

	public String getOpenBank() {
		return openBank;
	}

	public void setOpenBank(String openBank) {
		this.openBank = openBank;
	}

	public String getOpenCardno() {
		return openCardno;
	}

	public void setOpenCardno(String openCardno) {
		this.openCardno = openCardno;
	}


	public String getInvestorName() {
		return investorName;
	}

	public void setInvestorName(String investorName) {
		this.investorName = investorName;
	}

	public String getInvestorIdtype() {
		return investorIdtype;
	}

	public void setInvestorIdtype(String investorIdtype) {
		this.investorIdtype = investorIdtype;
	}

	public String getInvestorIdno() {
		return investorIdno;
	}

	public void setInvestorIdno(String investorIdno) {
		this.investorIdno = investorIdno;
	}

	public String getInvestorOpenbankName() {
		return investorOpenbankName;
	}

	public void setInvestorOpenbankName(String investorOpenbankName) {
		this.investorOpenbankName = investorOpenbankName;
	}

	public String getInvestorOpenbankNo() {
		return investorOpenbankNo;
	}

	public void setInvestorOpenbankNo(String investorOpenbankNo) {
		this.investorOpenbankNo = investorOpenbankNo;
	}

	public String getInvestorOpenbankAccountName() {
		return investorOpenbankAccountName;
	}

	public void setInvestorOpenbankAccountName(String investorOpenbankAccountName) {
		this.investorOpenbankAccountName = investorOpenbankAccountName;
	}

	public Integer getReserveId() {
		return reserveId;
	}

	public void setReserveId(Integer reserveId) {
		this.reserveId = reserveId;
	}

	public String getUri() {
		return uri;
	}

	public void setUri(String uri) {
		this.uri = uri;
	}

	public Float getMoney() {
		return money;
	}

	public void setMoney(Float money) {
		this.money = money;
	}

	public String getShorterName() {
		return shorterName;
	}

	public void setShorterName(String shorterName) {
		this.shorterName = shorterName;
	}

	public String getReasonStatus() {
		return reasonStatus;
	}

	public void setReasonStatus(String reasonStatus) {
		this.reasonStatus = reasonStatus;
	}

	public Integer getIsVerify() {
		return isVerify;
	}

	public void setIsVerify(Integer isVerify) {
		this.isVerify = isVerify;
	}

	public String getIp() {
		return ip;
	}

	public void setIp(String ip) {
		this.ip = ip;
	}
	

	// Constructors

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public Integer getMajorStatus() {
		return majorStatus;
	}

	public void setMajorStatus(Integer majorStatus) {
		this.majorStatus = majorStatus;
	}

	public Integer getMinorStatus() {
		return minorStatus;
	}

	public void setMinorStatus(Integer minorStatus) {
		this.minorStatus = minorStatus;
	}
	

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}
	

	public String getSubmitterTitle() {
		return submitterTitle;
	}

	public void setSubmitterTitle(String submitterTitle) {
		this.submitterTitle = submitterTitle;
	}

	public String getOrginTitle() {
		return orginTitle;
	}

	public void setOrginTitle(String orginTitle) {
		this.orginTitle = orginTitle;
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}

	public String getProductName() {
		return ProductName;
	}

	public void setProductName(String productName) {
		ProductName = productName;
	}

	public Timestamp getPostTime() {
		return postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public String getCode() {
		return this.code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getContent() {
		return this.content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getSmsType() {
		return this.smsType;
	}

	public void setSmsType(Integer smsType) {
		this.smsType = smsType;
	}


	public Integer getOrderId() {
		return this.orderId;
	}

	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}

	public Integer getOperateUid() {
		return this.operateUid;
	}

	public void setOperateUid(Integer operateUid) {
		this.operateUid = operateUid;
	}

	public Integer getCustomerAction() {
		return this.customerAction;
	}

	public void setCustomerAction(Integer customerAction) {
		this.customerAction = customerAction;
	}

	public Integer getPortalAction() {
		return this.portalAction;
	}

	public void setPortalAction(Integer portalAction) {
		this.portalAction = portalAction;
	}

	public Integer getManagerAction() {
		return this.managerAction;
	}

	public void setManagerAction(Integer managerAction) {
		this.managerAction = managerAction;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getOrderCode() {
		return this.orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public Integer getSubmitterType() {
		return this.submitterType;
	}

	public void setSubmitterType(Integer submitterType) {
		this.submitterType = submitterType;
	}

	public Integer getSubmitterUid() {
		return this.submitterUid;
	}

	public void setSubmitterUid(Integer submitterUid) {
		this.submitterUid = submitterUid;
	}

	public String getOrginUrl() {
		return this.orginUrl;
	}

	public void setOrginUrl(String orginUrl) {
		this.orginUrl = orginUrl;
	}

	public Integer getOrgin() {
		return this.orgin;
	}

	public void setOrgin(Integer orgin) {
		this.orgin = orgin;
	}

	public Integer getIntroducerUid() {
		return this.introducerUid;
	}

	public void setIntroducerUid(Integer introducerUid) {
		this.introducerUid = introducerUid;
	}


	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public Integer getOrderMount() {
		return this.orderMount;
	}

	public void setOrderMount(Integer orderMount) {
		this.orderMount = orderMount;
	}

	public Integer getActualMount() {
		return this.actualMount;
	}

	public void setActualMount(Integer actualMount) {
		this.actualMount = actualMount;
	}


	public Integer getProvince() {
		return this.province;
	}

	public void setProvince(Integer province) {
		this.province = province;
	}

	public Integer getCity() {
		return this.city;
	}

	public void setCity(Integer city) {
		this.city = city;
	}

	public String getAddress() {
		return this.address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getPostCode() {
		return this.postCode;
	}

	public void setPostCode(String postCode) {
		this.postCode = postCode;
	}

	public String getContact() {
		return this.contact;
	}

	public void setContact(String contact) {
		this.contact = contact;
	}

	public String getPhone() {
		return this.phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Integer getIsDefault() {
		return this.isDefault;
	}

	public void setIsDefault(Integer isDefault) {
		this.isDefault = isDefault;
	}


	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}


	public Integer getVerifyMobile() {
		return this.verifyMobile;
	}

	public void setVerifyMobile(Integer verifyMobile) {
		this.verifyMobile = verifyMobile;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getPortraitUri() {
		return this.portraitUri;
	}

	public void setPortraitUri(String portraitUri) {
		this.portraitUri = portraitUri;
	}

	public String getVerifyReg() {
		return this.verifyReg;
	}

	public void setVerifyReg(String verifyReg) {
		this.verifyReg = verifyReg;
	}

	public Timestamp getRegDate() {
		return this.regDate;
	}

	public void setRegDate(Timestamp regDate) {
		this.regDate = regDate;
	}

	public Integer getRole() {
		return this.role;
	}

	public void setRole(Integer role) {
		this.role = role;
	}

	public String getCardUri() {
		return this.cardUri;
	}

	public void setCardUri(String cardUri) {
		this.cardUri = cardUri;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public Date getBirthday() {
		return this.birthday;
	}

	public void setBirthday(Date birthday) {
		this.birthday = birthday;
	}

	public Integer getEducation() {
		return this.education;
	}

	public void setEducation(Integer education) {
		this.education = education;
	}

	public Integer getGender() {
		return this.gender;
	}

	public void setGender(Integer gender) {
		this.gender = gender;
	}
}
